+++
title = "Vim resources"
date = 2020-09-17
tags = ["admin", "vim"]
+++
I'll be dropping links to pages proposing interesting insights of Vim in here.

Let's start with a very classical one : [Learn Vimscript the Hard Way][hardway]
by Steve Losh, that I find very useful to give hints when you know precisely
what you want to do. I also dig the spirit.

Then there is the cheatsheet approach. I bookmarked Rico's
[devhints.io][devhints] page on Vimscript, that I come back to when there's a
need. There's also this [regex tutorial][regex] that is nice to bookmark, as
regex are really something you're not in a hurry to master.

Oh and then there's vimways.org's [quickfix shortcuts][quickfix] that introduces
the thing with its sarcastic tone, quite a journey.

Lastly I also found [this useful post][jakobgm] on integrating git into vim.
Then I remembered I had found this wizard's way of teaching
[operators][operators] in Vim, coming out with comments on orthogonality between
operators and motions.

[hardway]: https://learnvimscriptthehardway.stevelosh.com/
[devhints]: https://devhints.io/vimscript-functions
[regex]: https://medium.com/factory-mind/regex-tutorial-a-simple-cheatsheet-by-examples-649dc1c3f285
[quickfix]: https://vimways.org/2018/colder-quickfix-lists/
[jakobgm]: https://jakobgm.com/posts/vim/git-integration/
[operators]: https://whileimautomaton.net/2008/11/vimm3/operator
